lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'train-pgsql/version'

Gem::Specification.new do |spec|
  spec.name          = 'train-pgsql'
  spec.version       = TrainPlugins::Pgsql::VERSION
  spec.authors       = ['Cris Barbero']
  spec.email         = ['cris.barbero@stridehealth.com']
  spec.summary       = 'Train Transport for PostgreSQL connections'
  spec.description   = 'Allows applications using Train connect via pg sql'
  spec.homepage      = 'https://github.com/coveredinc/train-pgsql'
  spec.license       = 'Apache-2.0'

  spec.files = %w[
    README.md train-pgsql.gemspec Gemfile
  ] + Dir.glob(
    'lib/**/*', File::FNM_DOTMATCH
  ).reject { |f| File.directory?(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'train', '~> 3.0'
  spec.add_dependency 'pg', '~> 1.0'
end
